Bug 188687 - [maintainer update] upgrade russian/wordpress to 3.8.3
Summary: [maintainer update] upgrade russian/wordpress to 3.8.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-16 12:40 UTC by Mikhail Timofeev
Modified: 2014-04-26 19:34 UTC (History)
0 users

See Also:


Attachments
file.diff (969 bytes, patch)
2014-04-16 12:40 UTC, Mikhail Timofeev
no flags Details | Diff
ru-wordpress.diff.txt (935 bytes, text/plain; charset=US-ASCII)
2014-04-18 08:36 UTC, Mikhail Timofeev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Timofeev 2014-04-16 12:40:00 UTC
upgrade to 3.8.3
Changes: http://codex.wordpress.org/Version_3.8.3

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-04-16 12:40:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-26 19:12:53 UTC
Author: sunpoet
Date: Sat Apr 26 18:12:45 2014
New Revision: 352314
URL: http://svnweb.freebsd.org/changeset/ports/352314
QAT: https://qat.redports.org/buildarchive/r352314/

Log:
  - Update to 3.9
  - While I'm here, allow packaging as user
  
  Changes:	http://ru.wordpress.org/2014/04/3-9-smith/
  PR:		ports/188687
  Submitted by:	Mihail Timofeev <9267096@gmail.com> (maintainer)

Deleted:
  head/russian/wordpress/files/pkg-install.in
Modified:
  head/russian/wordpress/Makefile
  head/russian/wordpress/distinfo

Modified: head/russian/wordpress/Makefile
==============================================================================
--- head/russian/wordpress/Makefile	Sat Apr 26 18:12:40 2014	(r352313)
+++ head/russian/wordpress/Makefile	Sat Apr 26 18:12:45 2014	(r352314)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	wordpress
-PORTVERSION=	3.8.2
+PORTVERSION=	3.9
 CATEGORIES=	russian www
 MASTER_SITES=	http://ru.wordpress.org/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-ru_RU
@@ -19,9 +19,7 @@ USE_PHP=	curl gd mysql pcre tokenizer xm
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
-SUB_FILES=	pkg-message pkg-install
-SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" CHMOD="${CHMOD}"\
-		FIND="${FIND}" WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
+SUB_FILES=	pkg-message
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html
 
@@ -33,19 +31,20 @@ pre-everything::
 	@sleep 1
 
 pre-install:
-	cd ${WRKSRC}/ && \
-		(${FIND} -s * -type f | ${SED} -e 's|^|%%WWWDIR%%/|'; \
-		${FIND} -d . -type d | ${SED} -e 's|^\.|@dirrm %%WWWDIR%%|') > ${PLIST}
+	${ECHO_CMD} '@owner www' > ${PLIST}
+	${ECHO_CMD} '@group www' >> ${PLIST}
+	cd ${WRKSRC}/ && ${FIND} -s * -type f | ${SED} -e 's|^|%%WWWDIR%%/|' >> ${PLIST}
+	cd ${WRKSRC}/ && ${FIND} -d . -type d | ${SED} -e 's|^\.|@dirrm %%WWWDIR%%|' >> ${PLIST}
+	${ECHO_CMD} '@owner' >> ${PLIST}
+	${ECHO_CMD} '@group' >> ${PLIST}
 	if [ ! -f ${WRKSRC}/wp-config-sample.php ]; then ${CP} \
 		${WRKSRC}/wp-config.php.sample ${WRKSRC}/wp-config.php; fi
 
 do-install:
-	${INSTALL} -d -g ${WWWGRP} -m 755 -o ${WWWOWN} ${STAGEDIR}${WWWDIR}/
+	${INSTALL} -d -m 755 ${STAGEDIR}${WWWDIR}/
 	${CP} -R ${WRKSRC}/ ${STAGEDIR}${WWWDIR}/
+	${FIND} ${STAGEDIR}${WWWDIR}/ -type d -exec ${CHMOD} g+w '{}' \;
 	${MKDIR} ${STAGEDIR}${DOCSDIR}/
 	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${STAGEDIR}${DOCSDIR}/
 
-post-install:
-	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-
 .include <bsd.port.mk>

Modified: head/russian/wordpress/distinfo
==============================================================================
--- head/russian/wordpress/distinfo	Sat Apr 26 18:12:40 2014	(r352313)
+++ head/russian/wordpress/distinfo	Sat Apr 26 18:12:45 2014	(r352314)
@@ -1,2 +1,2 @@
-SHA256 (wordpress-3.8.2-ru_RU.tar.gz) = 6d0d68e02da0ac651a0298e35e74f4567af13cc0f38464a450d30eb70741fab7
-SIZE (wordpress-3.8.2-ru_RU.tar.gz) = 6346886
+SHA256 (wordpress-3.9-ru_RU.tar.gz) = eb43ae674b76e9cae75276091881d0fbe118b5d2d2ec7ff2d8770ecb8b598d12
+SIZE (wordpress-3.9-ru_RU.tar.gz) = 6262702
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-04-26 19:34:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!